UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMEDeregistrationCompleteInfo Class Reference

## Public Member Functions
| UMEDeregistrationCompleteInfo ()
| UMEDeregistrationCompleteInfo (int flags, long sequenceNumber) throws LBMEInvalException
int | flags ()
long | sequenceNumber ()

## Detailed Description

UME Registration Complete Info class. Contains extended information for UME receiver registration complete messages.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMEDeregistrationCompleteInfo.UMEDeregistrationCompleteInfo | ( |  | ) |

Creates a UMEDeregistrationCompleteInfo object and initializes fields to 0.

com.latencybusters.lbm.UMEDeregistrationCompleteInfo.UMEDeregistrationCompleteInfo | ( | int | flags,
|  | long | sequenceNumber
| ) |  | throws LBMEInvalException

Creates a UMEDeregistrationCompleteInfo object and initializes fields to the supplied values.

Parameters

  flags | Informational flags.
  sequenceNumber | Starting sequence number (must be >= 0).

Exceptions

  LBMEInvalException | if sequenceNumber < 0.

Since
  UME 2.0

References com.latencybusters.lbm.UMEDeregistrationCompleteInfo.flags(), and com.latencybusters.lbm.UMEDeregistrationCompleteInfo.sequenceNumber().

## Member Function Documentation

int com.latencybusters.lbm.UMEDeregistrationCompleteInfo.flags | ( |  | ) |

Get informational flags for this deregistration complete message.

Returns
  Flags.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEDeregistrationCompleteInfo.UMEDeregistrationCompleteInfo().

long com.latencybusters.lbm.UMEDeregistrationCompleteInfo.sequenceNumber | ( |  | ) |

Get starting sequence number for this deregistration complete message.

Returns
  Sequence number.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEDeregistrationCompleteInfo.UMEDeregistrationCompleteInfo().

The documentation for this class was generated from the following file:

- UMEDeregistrationCompleteInfo.java